add support for Amazon Graviton PCIe controller

Bug #1834962 reported by Kamal Mostafa on 2019-07-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-aws (Ubuntu)
Status tracked in Eoan
Bionic
Undecided
Kamal Mostafa
Cosmic
Undecided
Kamal Mostafa
Disco
Undecided
Kamal Mostafa
Eoan
Undecided
Kamal Mostafa
Ff-series
Undecided
Unassigned

Bug Description

Three patches are needed to add support for Amazon / Annapurna Labs "Graviton" PCIe controller, which is required for future AWS instance types.

The feature is to be enabled for Ubuntu kernels >= linux-aws-bionic.

The first patch is from mainline; the other two are AWS specific quirks from Amazon Linux, not yet upstream.

4166bfe530 PCI: al: Add Amazon Annapurna Labs PCIe host controller driver
UBUNTU: SAUCE: [aws] irqchip/gic-v2m: invoke from gic-v3 initialization and add acpi quirk flow
UBUNTU: SAUCE: [aws] arm64: acpi/pci: invoke _DSM whether to preserve firmware PCI setup

description: updated
Changed in linux-aws (Ubuntu Bionic):
status: New → In Progress
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux-aws (Ubuntu Cosmic):
status: New → In Progress
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux-aws (Ubuntu Disco):
status: New → In Progress
assignee: nobody → Kamal Mostafa (kamalmostafa)
David Duncan (davdunc-k) wrote :

The first patch is from mainline; the other two are AWS specific quirks from Amazon Linux, not yet upstream.

4166bfe530 PCI: al: Add Amazon Annapurna Labs PCIe host controller driver

[aws] irqchip/gic-v2m: invoke from gic-v3 initialization and add acpi quirk flow
[aws] arm64: acpi/pci: invoke _DSM whether to preserve firmware PCI setup

Changed in linux-aws (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-aws (Ubuntu Disco):
status: In Progress → Fix Committed
Terry Rudd (terrykrudd) on 2019-08-07
Changed in linux-aws (Ubuntu Cosmic):
status: In Progress → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-aws - 5.0.0-1012.13

---------------
linux-aws (5.0.0-1012.13) disco; urgency=medium

  * add support for Amazon Graviton PCIe controller (LP: #1834962)
    - PCI: al: Add Amazon Annapurna Labs PCIe host controller driver
    - genirq/msi: Add a new field in msi_desc to store an IOMMU cookie
    - iommu/dma-iommu: Split iommu_dma_map_msi_msg() in two parts
    - irqchip/gicv2m: Don't map the MSI page in gicv2m_compose_msi_msg()
    - SAUCE: irqchip/gic: Add support for Amazon Graviton variant of GICv3+GICv2m
    - SAUCE: [aws] arm64: acpi/pci: invoke _DSM whether to preserve firmware PCI
      setup
    - [Config] aws: set CONFIG_IRQ_MSI_IOMMU=y

  * CVE-2019-1125
    - x86/cpufeatures: Carve out CQM features retrieval
    - x86/cpufeatures: Combine word 11 and 12 into a new scattered features word
    - x86/speculation: Prepare entry code for Spectre v1 swapgs mitigations
    - x86/speculation: Enable Spectre v1 swapgs mitigations
    - x86/entry/64: Use JMP instead of JMPQ
    - x86/speculation/swapgs: Exclude ATOMs from speculation through SWAPGS

  * linux-aws builds modules which are not shipped (LP: #1836706)
    - [Packaging] Start shipping modules-extra

 -- Kleber Sacilotto de Souza <email address hidden> Fri, 02 Aug 2019 12:32:10 +0200

Changed in linux-aws (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-aws - 4.15.0-1045.47

---------------
linux-aws (4.15.0-1045.47) bionic; urgency=medium

  * CVE-2019-1125
    - x86/cpufeatures: Carve out CQM features retrieval
    - x86/cpufeatures: Combine word 11 and 12 into a new scattered features word
    - x86/speculation: Prepare entry code for Spectre v1 swapgs mitigations
    - x86/speculation: Enable Spectre v1 swapgs mitigations
    - x86/entry/64: Use JMP instead of JMPQ
    - x86/speculation/swapgs: Exclude ATOMs from speculation through SWAPGS

  * CVE-2018-12126 // CVE-2018-12127 // CVE-2018-12130 // CVE-2019-11091
    - SAUCE: Synchronize MDS mitigations with upstream

  * add support for Amazon Graviton PCIe controller (LP: #1834962)
    - PCI: al: Add Amazon Annapurna Labs PCIe host controller driver
    - SAUCE: [aws] irqchip/gic-v2m: invoke from gic-v3 initialization and add acpi
      quirk flow
    - SAUCE: [aws] arm64: acpi/pci: invoke _DSM whether to preserve firmware PCI
      setup

  * linux-aws builds modules which are not shipped (LP: #1836706)
    - [Packaging] Start shipping modules-extra

 -- Kleber Sacilotto de Souza <email address hidden> Fri, 02 Aug 2019 14:16:59 +0200

Changed in linux-aws (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-aws - 5.0.0-1012.13

---------------
linux-aws (5.0.0-1012.13) disco; urgency=medium

  * add support for Amazon Graviton PCIe controller (LP: #1834962)
    - PCI: al: Add Amazon Annapurna Labs PCIe host controller driver
    - genirq/msi: Add a new field in msi_desc to store an IOMMU cookie
    - iommu/dma-iommu: Split iommu_dma_map_msi_msg() in two parts
    - irqchip/gicv2m: Don't map the MSI page in gicv2m_compose_msi_msg()
    - SAUCE: irqchip/gic: Add support for Amazon Graviton variant of GICv3+GICv2m
    - SAUCE: [aws] arm64: acpi/pci: invoke _DSM whether to preserve firmware PCI
      setup
    - [Config] aws: set CONFIG_IRQ_MSI_IOMMU=y

  * CVE-2019-1125
    - x86/cpufeatures: Carve out CQM features retrieval
    - x86/cpufeatures: Combine word 11 and 12 into a new scattered features word
    - x86/speculation: Prepare entry code for Spectre v1 swapgs mitigations
    - x86/speculation: Enable Spectre v1 swapgs mitigations
    - x86/entry/64: Use JMP instead of JMPQ
    - x86/speculation/swapgs: Exclude ATOMs from speculation through SWAPGS

  * linux-aws builds modules which are not shipped (LP: #1836706)
    - [Packaging] Start shipping modules-extra

 -- Kleber Sacilotto de Souza <email address hidden> Fri, 02 Aug 2019 12:32:10 +0200

Changed in linux-aws (Ubuntu Eoan):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers